Skip to main content
Platform O&M/Backup Management/Continuous Data Protection (CDP)/CDP Operations

UpdateCdpPolicy

UpdateCdpPolicy

PUT/zstack/v1/cdp-backup-storage/policy/{uuid}/actions

Operation ID

UpdateCdpPolicy

Since

4.5.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The UUID of the resource.

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • name
      String

      Optional. The name of the resource.

    • description
      String

      Optional. Optional. The detailed description of the resource.

    • retentionTimePerDay
      Integer

      Optional. The retention time of the recovery points.

    • recoveryPointPerSecond
      Integer

      Optional. The retention interval of the recovery points.

    • hourlyRpSinceDay
      IntegerRequired

      The day from which to keep a recovery point hourly.

    • dailyRpSinceDay
      IntegerRequired

      The day from which to keep a recovery point per day.

    • expireTimeInDay
      IntegerRequired

      The expiration time of the backup data.

    • fullBackupIntervalInDay
      IntegerRequired

      The interval of the full backup.

    • resourceUuid
      String

      Optional. The UUID of the resource.

    • tagUuids
      List

      Optional. The UUID list of the tags.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    CdpPolicyInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The UUID of the resource.

    • name
      StringRequired

      The name of the resource.

    • description
      String

      Optional. The detailed description of the resource.

    • retentionTimePerDay
      IntegerRequired

      The retention time of the recovery points.

    • recoveryPointPerSecond
      IntegerRequired

      The retention interval of the recovery points.

    • createDate
      TimestampRequired

      The time when the CDP policy is created.

    • lastOpDate
      TimestampRequired

      The time when the CDP policy was last modified.

    • backupStorageRefs
      ListRequired

      See state.

  • Enabled
    CdpPolicyStateRequired

    The CDP policy is enabled.

  • Disabled
    CdpPolicyStateRequired

    The CDP policy is disabled.

  • Change Time

    AddedResponse fields Disabled, Enabled
    View API